
-- DROP TABLE tl_job_application;




CREATE TABLE tl_job_application (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    cv blob NULL,
    application_status varchar2(200) NULL,
    candidate_id number(12)  NOT NULL,
    job_id number(12)  NOT NULL
    );



ALTER TABLE tl_job_application ADD    
    CONSTRAINT PK_tl_job_application PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_job_application_candidate_id 
    ON tl_job_application (candidate_id);

    CREATE INDEX idx_tl_job_application_job_id 
    ON tl_job_application (job_id);
